#!/bin/sh

# Build remote helpers for all operating systems and architectures which are
# supported as target hosts

# Copyright (C) 2021  Simon Ruderich
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set -eu


build() {
    GOOS="$1" GOARCH="$2" go build -o "$dest/$1-$2"
}

build_arm() {
    GOOS="$1" GOARCH="$2" GOARM="$3" go build -o "$dest/$1-${2}v${3}l"
}


dest=../../remote/helpers

mkdir -p "$dest"

build freebsd amd64
build linux amd64
build openbsd amd64
build_arm linux arm 7
# TODO: support more operating systems and architectures
